package com.hissenit.crypto.examples.simple;

import com.hissenit.crypto.common.Secret;
import com.hissenit.crypto.compactencryption.CompactEncryption;
import com.hissenit.crypto.compactencryption.CompactPasswordKey;
import com.hissenit.crypto.data.StringData;

public class SimplePBEEncryptionExample {
	
	public static void main(String[] args) throws Exception{
		String password = "Demo Password!";
		String textToencrypt = "Secret text to be encrypted, could also be any binary data (StringData, BinaryData, ObjectData)";
		CompactPasswordKey key = CompactPasswordKey.generateKey(new Secret(password));
		String encryptedMessage = new CompactEncryption(key).encryptToBase64(new StringData(textToencrypt));
		System.out.println("\nEncrypted message: " + encryptedMessage);
		System.out.println("\nDecrypted message: " + new CompactEncryption(key).decryptFromBase64(encryptedMessage));
	}
	
}
